--[[--------------------------------------------------------------------
	ConfirmLeaveParty
	Asks for confirmation when leaving a group inside an instance.
	Currently maintained by Akkorian < akkorian@hotmail.com >
	Originally created by Phanx < addons@phanx.net >
	http://www.wowinterface.com/downloads/info16676-ConfirmLeaveParty.html
	http://wow.curse.com/downloads/wow-addons/details/confirmleaveparty.aspx
----------------------------------------------------------------------]]

local CONFIRM_LEAVE_PARTY = "Do you really want to leave the group?"

if GetLocale() == "deDE" then
	CONFIRM_LEAVE_PARTY = "Willst du wirklich die Gruppe verlassen?" -- Shantalya @ WoWI
elseif GetLocale() == "esES" or GetLocale() == "esMX" then
	CONFIRM_LEAVE_PARTY = "¿Realmente quiere dejar el grupo?" -- Google Translate
elseif GetLocale() == "frFR" then
	CONFIRM_LEAVE_PARTY = "Veux-tu vraiment à quitter le groupe?" -- Google Translate
elseif GetLocale() == "ruRU" then
	CONFIRM_LEAVE_PARTY = "Вы действительно хотите выйти из группы?" -- Google Translate
elseif GetLocale() == "koKR" then
	CONFIRM_LEAVE_PARTY = "당신이 정말로 그룹을 떠나시겠습니까?" -- Google Translate
elseif GetLocale() == "zhCN" then
	CONFIRM_LEAVE_PARTY = "难道你真的想离开组吗?" -- Google Translate
elseif GetLocale() == "zhTW" then
	CONFIRM_LEAVE_PARTY = "難道你真的想離開組嗎?" -- Google Translate
end

------------------------------------------------------------------------

local ReallyLeaveParty = _G.LeaveParty

StaticPopupDialogs["CONFIRM_LEAVE_PARTY"] = {
	text = CONFIRM_LEAVE_PARTY,
	button1 = YES,
	button2 = NO,
	enterClicksFirstButton = 0, -- YES on enter
	hideOnEscape = 0, -- NO on escape
	timeout = 0,
	OnAccept = ReallyLeaveParty,
}

_G.LeaveParty = function()
	local _, instanceType = IsInInstance()
	if instanceType == "party" or instanceType == "raid" then
		if GetNumPartyMembers() > 0 or GetNumRaidMembers() > 0 then
			return StaticPopup_Show("CONFIRM_LEAVE_PARTY")
		end
	end
	ReallyLeaveParty()
end